
%global qt_module qtcharts

%global examples 1

%define short_version 6.5

Summary: Qt6 - Charts component
Name:    qt6-%{qt_module}
Version: 6.5.0
Release: 1

License: GPLv3
Url:     http://www.qt.io


Source0: https://download.qt.io/official_releases/qt/%{short_version}/%{version}/submodules/%{qt_module}-everywhere-src-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: ninja-build
BuildRequires: qt6-qtbase-devel >= %{version}
BuildRequires: qt6-qtbase-private-devel
BuildRequires: qt6-qtdeclarative-devel >= %{version}
BuildRequires: pkgconfig(xkbcommon)
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}

%description
Qt Charts module provides a set of easy to use chart components. It uses the Qt Graphics View Framework, therefore charts can be easily
integrated to modern user interfaces. Qt Charts can be used as QWidgets, QGraphicsWidget, or QML types.
Users can easily create impressive graphs by selecting one of the charts themes.

%package devel
Summary: Development files for %{name}
Requires: qt6-qtbase-devel%{?_isa}
%description devel
%{summary}.

%if 0%{?examples}
%package examples
Summary: Programming examples for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
# BuildRequires: qt6-qtcharts-devel >= %{version}
%description examples
%{summary}.
%endif

%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1


%build
%cmake_qt6 -DQT_BUILD_EXAMPLES:BOOL=%{?examples:ON}%{!?examples:OFF}
cmake --build . %{?_smp_mflags} --verbose

%install
DESTDIR="%{buildroot}" cmake --install .


%files
%license LICENSES/GPL*
%{_qt6_libdir}/libQt6Charts.so.6*
%{_qt6_libdir}/libQt6ChartsQml.so.6*
%{_qt6_qmldir}/QtCharts/

%files devel
%{_qt6_headerdir}/QtCharts/
%{_qt6_headerdir}/QtChartsQml/
%{_qt6_libdir}/libQt6Charts.so
%{_qt6_libdir}/libQt6Charts.prl
%{_qt6_libdir}/libQt6ChartsQml.so
%{_qt6_libdir}/libQt6ChartsQml.prl
%dir %{_qt6_libdir}/cmake/Qt6Charts/
%{_qt6_libdir}/cmake/Qt6Charts/
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtChartsTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6qtchartsqml2*.cmake
%dir %{_qt6_libdir}/cmake/Qt6ChartsQml/
%{_qt6_libdir}/cmake/Qt6ChartsQml/
%{_qt6_archdatadir}/modules/*.json
%{_qt6_mkspecsdir}/modules/*
%{_qt6_archdatadir}/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/pkgconfig/*.pc

%if 0%{?examples}
%files examples
%{_qt6_examplesdir}/
%endif

%changelog
* Mon May 15 2023 EastDong <xudong23@iscas.ac.cn> - 6.5.0-1
- update package

* Tue Nov 15 2022 Jingwiw <wangjingwei@iscas.ac.cn> - 6.4.0-1
- init package